var mobile_browser = {
    versions: function () {
        var u = navigator.userAgent, app = navigator.appVersion;
        return {//移动终端浏览器版本信息
            trident: u.indexOf('Trident') > -1, //IE内核
            presto: u.indexOf('Presto') > -1, //opera内核
            webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
            gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
            mobile: !!u.match(/AppleWebKit.*Mobile.*/) || !!u.match(/AppleWebKit/), //是否为移动终端
            ios: !!u.match(/i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
            android: u.indexOf('Android') > -1, //android终端或者uc浏览器
            iPhone: u.indexOf('iPhone') > -1 || (u.indexOf('Mac') > -1 && u.indexOf('Macintosh') < 0), //是否为iPhone或者QQHD浏览器
            iPad: u.indexOf('iPad') > -1, //是否iPad
            webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
        };
    }(),
    language: (navigator.browserLanguage || navigator.language).toLowerCase()
}
if (!mobile_browser.versions.iPad) {
	var to_mobile_status = false;
	if (mobile_browser.versions.android || mobile_browser.versions.iPhone || (mobile_browser.versions.android && String(navigator.platform).indexOf('Linux') > -1)) {
		to_mobile_status = true;
    }
	if (document.cookie.length > 0) {
		c_start = document.cookie.indexOf('tpl_select=');
		if (c_start != -1) {
			c_start = c_start + 'tpl_select'.length + 1;
			c_end = document.cookie.indexOf(';', c_start);
			if (c_end == -1) c_end = document.cookie.length;
			if (unescape(document.cookie.substring(c_start, c_end)) == 'd') {
				to_mobile_status = false;
			}
		}
	}
	if (to_mobile_status) {
		self.location = TO_MOBILE_URL;
	}
}